uuid: 54077c69-4be7-4cf5-bcd6-1c5f307b4329
langcode: en
status: true
dependencies:
  config:
    - entity_browser.browser.course_browser
    - field.field.taxonomy_term.course.feeds_item
    - field.field.taxonomy_term.course.field_academic_level
    - field.field.taxonomy_term.course.field_average_cost
    - field.field.taxonomy_term.course.field_class_count
    - field.field.taxonomy_term.course.field_class_format
    - field.field.taxonomy_term.course.field_contact_hours
    - field.field.taxonomy_term.course.field_corequisites
    - field.field.taxonomy_term.course.field_course_number
    - field.field.taxonomy_term.course.field_course_outline
    - field.field.taxonomy_term.course.field_credits
    - field.field.taxonomy_term.course.field_crs_session_cycle
    - field.field.taxonomy_term.course.field_department
    - field.field.taxonomy_term.course.field_description
    - field.field.taxonomy_term.course.field_division
    - field.field.taxonomy_term.course.field_how_to_register_link
    - field.field.taxonomy_term.course.field_local_description
    - field.field.taxonomy_term.course.field_location
    - field.field.taxonomy_term.course.field_meta_tags
    - field.field.taxonomy_term.course.field_requisites
    - field.field.taxonomy_term.course.field_requisites_text
    - field.field.taxonomy_term.course.field_seats
    - field.field.taxonomy_term.course.field_subject
    - field.field.taxonomy_term.course.field_title
    - taxonomy.vocabulary.course
  module:
    - entity_browser
    - link
    - metatag
    - path
    - text
id: taxonomy_term.course.default
targetEntityType: taxonomy_term
bundle: course
mode: default
content:
  field_academic_level:
    type: options_buttons
    weight: 10
    region: content
    settings: {  }
    third_party_settings: {  }
  field_average_cost:
    type: string_textfield
    weight: 8
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_class_count:
    type: number
    weight: 13
    region: content
    settings:
      placeholder: ''
    third_party_settings: {  }
  field_class_format:
    type: options_buttons
    weight: 9
    region: content
    settings: {  }
    third_party_settings: {  }
  field_contact_hours:
    type: string_textfield
    weight: 11
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_corequisites:
    type: entity_reference_autocomplete
    weight: 18
    region: content
    settings:
      match_operator: CONTAINS
      match_limit: 10
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_course_number:
    type: string_textfield
    weight: 2
    region: content
    settings:
      size: 10
      placeholder: ''
    third_party_settings: {  }
  field_course_outline:
    type: entity_browser_file
    weight: 14
    region: content
    settings:
      entity_browser: course_browser
      field_widget_edit: true
      field_widget_remove: true
      field_widget_replace: false
      open: true
      selection_mode: selection_append
      view_mode: default
      preview_image_style: thumbnail
    third_party_settings: {  }
  field_credits:
    type: string_textfield
    weight: 7
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_crs_session_cycle:
    type: string_textfield
    weight: 19
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_department:
    type: options_select
    weight: 5
    region: content
    settings: {  }
    third_party_settings: {  }
  field_description:
    type: string_textarea
    weight: 4
    region: content
    settings:
      rows: 5
      placeholder: ''
    third_party_settings: {  }
  field_division:
    type: options_select
    weight: 6
    region: content
    settings: {  }
    third_party_settings: {  }
  field_how_to_register_link:
    type: link_default
    weight: 20
    region: content
    settings:
      placeholder_url: ''
      placeholder_title: ''
    third_party_settings: {  }
  field_local_description:
    type: string_textarea
    weight: 15
    region: content
    settings:
      rows: 5
      placeholder: ''
    third_party_settings: {  }
  field_location:
    type: options_buttons
    weight: 12
    region: content
    settings: {  }
    third_party_settings: {  }
  field_meta_tags:
    type: metatag_firehose
    weight: 21
    region: content
    settings:
      sidebar: true
      use_details: true
    third_party_settings: {  }
  field_requisites:
    type: entity_reference_autocomplete
    weight: 17
    region: content
    settings:
      match_operator: CONTAINS
      match_limit: 10
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_requisites_text:
    type: text_textarea
    weight: 16
    region: content
    settings:
      rows: 5
      placeholder: ''
    third_party_settings: {  }
  field_subject:
    type: options_select
    weight: 1
    region: content
    settings: {  }
    third_party_settings: {  }
  field_title:
    type: string_textfield
    weight: 3
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  name:
    type: string_textfield
    weight: 0
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  path:
    type: path
    weight: 22
    region: content
    settings: {  }
    third_party_settings: {  }
  status:
    type: boolean_checkbox
    weight: 23
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
hidden:
  description: true
  feeds_item: true
  field_seats: true
  tvi: true
